package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.domain.MdModelInfo;

import java.util.List;

/**
 * 模型信息Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IMdModelInfoService 
{
    /**
     * 查询模型信息
     * 
     * @param mdid 模型信息主键
     * @return 模型信息
     */
    public MdModelInfo selectMdModelInfoByMdid(String mdid);

    /**
     * 查询模型信息列表
     * 
     * @param mdModelInfo 模型信息
     * @return 模型信息集合
     */
    public List<MdModelInfo> selectMdModelInfoList(MdModelInfo mdModelInfo);

    /**
     * 新增模型信息
     * 
     * @param mdModelInfo 模型信息
     * @return 结果
     */
    public String insertMdModelInfo(MdModelInfo mdModelInfo);

    /**
     * 修改模型信息
     * 
     * @param mdModelInfo 模型信息
     * @return 结果
     */
    public int updateMdModelInfo(MdModelInfo mdModelInfo);

    /**
     * 批量删除模型信息
     * 
     * @param mdids 需要删除的模型信息主键集合
     * @return 结果
     */
    public int deleteMdModelInfoByMdids(String[] mdids);

    /**
     * 删除模型信息信息
     * 
     * @param mdid 模型信息主键
     * @return 结果
     */
    public int deleteMdModelInfoByMdid(String mdid);

    int audit(String[] mdids, String audit);
}
